package com.jeequan.jeepay.thirdparty.channel.flpay.model;

import com.jeequan.jeepay.core.model.DBPaymentConfig;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.Getter;

/**
 * TODO
 *
 * @author crystal
 * @date 2024/3/25 11:40
 */
@Data
public class ReqMethod {

    @Getter
    @AllArgsConstructor
    public enum Method{

        SIGN("/api/open/uploadPeople","自由职业者签约"),

        SIGN_QUERY("/api/open/queryPeople","自由职业者签约状态查询"),

        PAYMENT("/api/open/uploadPlan","付款接口"),

        ACCOUNT_QUERY("/api/open/queryPayMethod","账户类型查询接口"),

        AUDIT("/api/open/grantPlan","审核下发结算"),

        PAYMENT_QUERY("/api/open/queryPlan","结算发放结果查询接口"),

        ;
        private final String method;

        private final String desc;

    }


    /** 获取请求接口地址
     * @param method
     * @return
      */
    public static String getUrl(DBPaymentConfig config,Method method){
        return config.getDomain() + method.getMethod();
    }

}
